#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	avahi
Version		:	0.8
Release		:	16.2.0.rel%{?dist}
Summary		:	Local network service discovery
Group		:	System Environment/Daemons

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	https://github.com/lathiat/avahi

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz
Patch0		:	%{name}-%{version}-ipv6_race_condition_fix-1.patch
Patch1		:	%{name}-%{version}-0009-fix-requires-in-pc-file.patch
#-----------------------------------------------------------------------------
BuildRequires	:	dbus-devel
BuildRequires	:	expat-devel
BuildRequires	:	gdbm
BuildRequires	:	glib-devel
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk2+
BuildRequires	:	gtk3+
BuildRequires	:	intltool
BuildRequires	:	libcap-devel
BuildRequires	:	libdaemon
BuildRequires	:	libevent		>= 2.1.5
BuildRequires	:	libglade
BuildRequires	:	qt

#-----------------------------------------------------------------------------
%description
Avahi is a system which facilitates service discovery on
a local network -- this means that you can plug your laptop or
computer into a network and instantly be able to view other people who
you can chat with, find printers to print to or find files being
shared. This kind of technology is already found in MacOS X (branded
'Rendezvous', 'Bonjour' and sometimes 'ZeroConf') and is very convenient.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc LICENSE README
%attr (0755,root,root) %{_sysconfdir}/rc.d/init.d/%{name}
%{_sysconfdir}/%{name}/%{name}-*.{conf,action}
%{_sysconfdir}/%{name}/hosts
%{_sysconfdir}/%{name}/services/*.service
%{_sysconfdir}/dbus-1/system.d/%{name}-dbus.conf
%{_includedir}/%{name}-*/*.h
%{_bindir}/%{name}-*
%{_bindir}/bshell
%{_bindir}/bssh
%{_bindir}/bvnc
%{_sbindir}/%{name}-*
%{_libdir}/girepository-1.0/*.typelib
%{_libdir}/lib%{name}-*.{la,so*}
%{_libdir}/pkgconfig/%{name}-*.pc
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/interfaces/%{name}-discover.ui
%{_datadir}/gir-1.0/*.gir
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/dbus-1/interfaces/org.freedesktop.*.xml
%{_datadir}/%{name}/%{name}-service.dtd
%{_mandir}/man1/%{name}*.1.gz
%{_mandir}/man5/%{name}*.5.gz
%{_mandir}/man8/%{name}*.8.gz

#-----------------------------------------------------------------------------
%pre
if [ "$1" = 1 ]; then
  if [ ! $(getent group %{name}) ]; then
    /usr/sbin/groupadd				\
	-K GID_MIN=50				\
	-K GID_MAX=99				\
	 %{name}

    /usr/sbin/useradd 				\
	-r					\
	-c "Avahi Daemon Owner"			\
	-K SYS_UID_MIN=50			\
	-K SYS_UID_MAX=99			\
	-g %{name}				\
	-s /bin/false				\
	-d %{_var}/run/%{name}-daemon		\
	%{name}
    fi
  fi

%preun 
if [ "$1" = 0 ]; then
  %{_sysconfdir}/rc.d/init.d/%{name} stop > /dev/null 2>&1 || :
  /sbin/chkconfig --del %{name}
  /usr/sbin/userdel %{name}
  (
  /bin/echo -n "%{name}-%{version} has been fully removed on "; date
  ) > %{_var}/log/README-%{name}-removed
  fi

%post
/sbin/chkconfig --add %{name}
%{_sysconfdir}/rc.d/init.d/%{name} condrestart > /dev/null 2>&1 || :

#=============================================================================
%prep
%setup -q
%patch -P 0 -p1
%patch -P 1 -p1

tar xf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build

## * fixes -stack-protector flags (once gcc_stack_protect.m4 is removed)
rm -fv missing common/gcc_stack_protect.m4
NOCONFIGURE=1 ./autogen.sh

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--localstatedir=%{_var}				\
	--disable-static 				\
	--disable-mono					\
	--disable-monodoc				\
	--disable-python				\
	--disable-qt3					\
	--disable-qt4					\
	--enable-gtk2					\
	--enable-gtk3					\
	--enable-core-docs				\
	--with-distro=none				\
	--with-systemdsystemunitdir=no 			\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	DESTDIR=%{buildroot}					\
	install

#installing avahi starting/stopping script
%{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__cp} -a 						\
	%{name}-ok_addon/%{name}				\
	%{buildroot}%{_sysconfdir}/rc.d/init.d

#-----------------------------------------------------------------------------
%changelog
